Group {
  C1 = #500;
  C2 = #502;
  C3 = #503;
  C4 = #504;
  
  ground = # 400;

  M6_left = # 401;

  M6_right = # 402;
  DomainCC_Ele    = Region[{C1, C2, C3, C4}];
  SkinDomainC_Ele = Region[ {M6_left, M6_right} ] ;
}
Function {
  epsr [ C1 ] = 3.9;
  epsr [ C2 ] = 3.9;
  epsr [ C3 ] = 3.9;
  epsr [ C4 ] = 3.9;
  Length = 1.0e-9 ;
}
Constraint {
  { Name ElectricScalarPotential ; Type Assign ;
    Case {
      { Region #{ground} ; Value 0. ; } 
    }
  }
  { Name GlobalElectricPotential ; Type Assign ;
    Case {
      { Region #{M6_left} ; Value 1.; } 
      { Region #{M6_right}; Value 0.; }
    }
  }
}
Include "Jacobian_Lib.pro"
Include "Integration_Lib.pro"
Include "EleSta_v.pro"
Include "EleSta_vf.pro"

PostOperation Map_v UsingPost EleSta_v {
  Print [ v, OnElementsOf DomainCC_Ele, File "mStrip_v.pos" ] ;
}

PostOperation Map_e UsingPost EleSta_v {
  Print [ e, OnElementsOf DomainCC_Ele, File "mStrip_e.pos" ] ;
}


PostOperation Map_vf UsingPost EleSta_vf {
  Print [ v, OnElementsOf DomainCC_Ele, File "mStrip_vf.pos" ] ;
}

PostOperation Map_ef UsingPost EleSta_vf {
  Print [ e, OnElementsOf DomainCC_Ele, File "mStrip_ef.pos" ] ;
}

e = 1.e-7 ;

PostOperation Cut_e UsingPost EleSta_v {
  Print [ e, OnLine { {e,e,0} {10.e-3,e,0} } {500}, File "Cut_e", Format Gnuplot ] ;
}

PostOperation Cut_ef UsingPost EleSta_vf {
  Print [ e, OnLine { {e,e,0} {10.e-3,e,0} } {500}, File "Cut_ef" ] ;
}



PostOperation Val_Q UsingPost EleSta_vf {
  Print [ Q, OnRegion SkinDomainC_Ele ] ;
  Print [ V, OnRegion SkinDomainC_Ele ] ;
  Print [ C, OnRegion SkinDomainC_Ele ] ;
}

